get_txn_begin_flags
Prev | Chapter 3. Db_container | Next

## get_txn_begin_flags

### Function Details

    u_int32_t get_txn_begin_flags() const

Get flag of DbEnv::txn_begin() call.

#### Return Value

Flags to be set to DbEnv::txn_begin().

### Group: Get and set functions for data members.

Note that these functions are not thread safe, because all data members of db_container are supposed to be set on container construction and initialization, and remain read only afterwards.

### Class

db_container

Prev | Up | Next
set_txn_begin_flags | Home | set_commit_flags